[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [wtp-dev] WTP depends on CVS plugins?

Looks as if there's a CVS decorator for "compressed" Java Resources sitting in the middle of that plugin:

servlet_ui/org/eclipse/jst/servlet/ui/internal/navigator/CompressedJavaProjectCVSDecorator.java

The attached image show what it does (disabled on the left, active on the right)


I guess that the "Java Resources"-folder is a synthetic node which doesn't correspond one-to-one with a IResource, and so doesn't get decorated by default.

-Jesper


On 05/10/2012, at 23.34, Konstantin Komissarchik wrote:

I just discovered that org.eclipse.jst.servlet.ui depends on CVS plugins.
 
 
org.eclipse.team.cvs.core;bundle-version="[3.3.0,5.0.0)",
org.eclipse.team.cvs.ui;bundle-version="[3.3.0,5.0.0)",
 
This makes it impossible to create an install with WTP, but no CVS plugins. Since CVS is becoming progressively less relevant, this requirement is progressively becoming more important.
 
Before I dive in to figure out why this is so, does anyone know why?
 
Thanks,
 
- Konstantin
_______________________________________________
wtp-dev mailing list
wtp-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/wtp-dev